apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: pd-queryhungjob
  namespace: pipedream
  labels:
    app.kubernetes.io/name: pd-queryhungjob
spec:
  schedule: "0 * * * *"
  concurrencyPolicy: Allow
  jobTemplate:
    metadata:
      labels:
        app.kubernetes.io/name: pd-queryhungjob
    spec:
      template:
        spec:
          dnsPolicy: Default
          restartPolicy: Never
          containers:
          - name: queryhungjob
            image: "docker-registry.zooxlabs.com/pipedream_hungjob:1.0.5"
            env:
              - name: LOG_LEVEL
                value: "DEBUG"
            args: ["-v","-s","#pipedream-hung-jobs","-u","epronovost"]
            imagePullPolicy: Always
            volumeMounts:
            - name: pipedream
              mountPath: /nfs/pipedream
          volumes:
          - name: pipedream
            nfs:
              server: sun-swinfrastore01.zooxlabs.com
              path: /sun_swinfra01/pipedream
